CVE-2022-2990

Name
CVE-2022-2990
Description
An incorrect handling of the supplementary groups in the Buildah container engine might lead to the sensitive information disclosure or possible data modification if an attacker has direct access to the affected container where supplementary groups are used to set access permissions and is able to execute a binary code in that container.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://www.benthamsgaze.org/2022/08/22/vulnerability-in-linux-containers-investigation-and-mitigation/
MISC https://bugzilla.redhat.com/show_bug.cgi?id=2121453

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:buildah_project:buildah:*:*:*:*:*:*:*:* buildah >= None < 1.27.1

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
buildah 3.16-community 1.26.5-r0 Michał Polański <michal@polanski.me> possibly vulnerable